Bug 853364 - malformat exported csv file
malformat exported csv file
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bug Import/Export/Moving (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Simon Green
Matt Tyson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 04:55 EDT by Frantisek Hrbata
Modified: 2014-10-12 18:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2.3-4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 00:02:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hrbata 2012-08-31 04:55:03 EDT
Description of problem:

Malformat exported CSV file. It contains new lines within entries. IMHO each entry should be on a single line. This makes for example correct import to calc impossible.

Version-Release number of selected component (if applicable):

4.2.2-4

How reproducible:
Always

Steps to Reproduce:
1. query some bugs to create a buglist in the bugzilla's web interface
2. select CSV to export the buglist to csv file
3. try to import the file e.g. to oo calc
  
Actual results:
Thanks to the newlines within a single entry, there is more rows then entries and some column values are displayed wrongly in new row. Basically each line is interpreted as a new entry, but the entry by itself contains new line. 


Expected results:
Exported csv file will contain each entry on a single line, so import and working with csv is possible again.

Additional info:

If the default column selection does not result in a malformed csv, try to add more columns with the "Change Columns" option.
Comment 1 Simon Green 2012-08-31 09:33:45 EDT
I know what caused this now, and apologise for it. It will be fixed on Monday afternoon EDT.
Comment 2 Frantisek Hrbata 2012-08-31 09:39:35 EDT
(In reply to comment #1)
> I know what caused this now, and apologise for it. It will be fixed on
> Monday afternoon EDT.

Great, I'm using this in my cmdl tools to quickly get some basic info about bzs.

Many thanks.

Note You need to log in before you can comment on or make changes to this bug.